_format_version: "2.1"

services:
  - name: quiz-service
    url: http://quiz-service:2468/quiz
    routes:
      - name: quiz-service-route
        paths: 
          - /quiz

  - name: db-adminer
    url: http://adminer:8080
    routes:
      - name: adminer-service
        paths:
          - /adminer

  - name: frontend
    url: http://frontend:2000
    routes:
      - name: frontend
        paths:
          - /frontend

plugins:
  - name: rate-limiting
    config: 
      minute: 20
      limit_by: ip
      policy: local

  - name: cors
    service: quiz-service
    config:
      origins: 
       - "*"

  - name: prometheus
  
  - name: bot-detection
